/* ./css/styles.css */
* {
    box-sizing: border-box;
}

body {
    background-color: red;
}
/*  rems : 1 rem is the amount of pixels set as default font-size for the html tag.
    use rems for sizes that stay the same with changing orientation. 
    you can use em's for changing size of only one div and its content (using javascript or media queries? 
*/
/* search result */
#search-results-section {
    position: relative;
    background-color:bisque;
}
#view-window {
    position:relative;
    border-style:solid;
    overflow-x:scroll;
}
#train-holder {
    width: auto;
    height: 95vh;
    background-color: beige;
    overflow: hidden;
    display: inline-flex;
}
.poster-holder {
    width:57vh;
    position: relative;
}
.poster-holder img {
    width: 57vh;
}
.poster-info {
    position: absolute;
    width: 51.3vh;
    height: 47.5vh;
    background-color: rgba(0, 255, 0, 0.3);
    bottom:0;
}
.poster-info p {
    background-color: rgba(0, 255, 0, 0.3);
}
.button-more {
    margin-top: 2.85vh;
}
.loading-div {
    position:absolute;
    bottom: 3%;
    
    background-color: rgba(185, 183, 171, 0.6);
  }
  #loading-left{
      display:none;
  
      left:1%;
  }
  #loading-right {
      display:none;
      right: 1%;
  }  
/* end search result */

/* modal */
#blocker{
    position:fixed;
    top:0;
    bottom:0;
    left:0;
    right:0;
    background-color: rgba(30,30,30,0.3);
    display:none;
}
#modal-holder {
    background-color: rgba(212, 48, 48, 0.3);
    position:absolute;
    top:5%;
    bottom:5%;
    left:5%;
    right:5%;
}
#movie-info-modal {
    background-color: rgba(224, 212, 38, 0.6);
    position: absolute;
    top:3%;
    bottom:3%;
    left:3%;
    right:3%;
    overflow-y: scroll;
}
#movie-info-modal pre {
    white-space: pre-wrap;
    word-wrap: break-word;
}
#closeXrt {
    position:absolute;
    top:2%;
    right:2%;
}
#closeXrb{
    position:absolute;
    bottom:2%;
    right:2%;
}
#closeXlb{
    position:absolute;
    bottom:2%;
    left:2%;
}
#closeXlt{
    position:absolute;
    top:2%;
    left:2%;
}
/* end modal */

#search-title-input-id {
    visibility: hidden;
}


#error-messages {
    position:absolute;
    color:rgba(122, 48, 48, 0.8);
    background-color: rgba(185, 183, 171, 0.6);
    top:30%;
    left:5%;
}

.loading-more-info p{
    font-weight: bold;
    font-size: 2rem;
    color:coral;
    background-color:rgba(241, 227, 143, 0.9);
    margin-top:-1rem;
}


/* ///////////////////// */
#nav-backspacer {
    height: 2.75rem; /* 44px;*/
}
#nav-top {
    background-color: blueviolet;
    position:fixed;
    z-index: 1000000;
}
#nav-top.fade-in {
    /* opacity: 1;
    transition-property: opacity;
    transition-duration: 4s;
    transition-delay: 2s; */
    opacity: 1;
    transition: opacity .50s ease-in-out;
    
}
#nav-top.fade-out {
    opacity: 0;
    transition: opacity .50s ease-in-out;
}
@media only screen and (min-width: 768px) {
    /* everything smaller then 768px : picture containers 
       expressed as vh with a height/width ratio of 500 / 300
       with 500px set to 95vh */
    body {
        background-color: aqua;
    }
    #train-holder {
        width: auto;
        height: 31.25rem; /* 500px;*/
        background-color: beige;
        overflow: hidden;
        display: inline-flex;
    }
    .poster-holder {
        width:18.75rem; /* 300px; */
        position: relative;
    }
    
    .poster-holder img {
        width: 18.75rem; /* 300px; */
    }
    .poster-info {
        position: absolute;
        width: 16.875rem; /* 270px; */
        height: 15.625rem; /* 250px; */
        background-color: rgba(0, 255, 0, 0.3);
        bottom:0;
    }
    .button-more {
        margin-top: 0.9375rem; /* 15px; */
    }
}
